Uploaded image for project: 'Thrift'
  1. Thrift
  2. THRIFT-5100

Gem::InstallError: byebug requires Ruby version >= 2.4.0.

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.14.0
    • Component/s: Ruby - Library
    • Labels:

      Description

      [33mGem::InstallError: byebug requires Ruby version >= 2.4.0.[0m
      [32mInstalling coderay 1.1.2[0m
      [32mInstalling daemons 1.3.1[0m
      [32mInstalling diff-lcs 1.3[0m
      [32mInstalling eventmachine 1.2.7 with native extensions[0m
      [32mInstalling method_source 0.9.2[0m
      [32mInstalling rack 2.0.8[0m
      [32mInstalling rspec-support 3.9.2[0m
      Using thrift 0.14.0 from source at `.`
      [32mInstalling binding_of_caller 0.8.0 with native extensions[0m
      [31mAn error occurred while installing byebug (11.1.1), and Bundler cannot continue.
      Make sure that `gem install byebug -v '11.1.1'` succeeds before bundling.[0m
      Makefile:651: recipe for target 'all-local' failed
      make[2]: *** [all-local] Error 5
      make[2]: Leaving directory '/thrift/src/lib/rb'
      Makefile:584: recipe for target 'check-recursive' failed
      make[1]: *** [check-recursive] Error 1
      make[1]: Leaving directory '/thrift/src/lib'
      Makefile:683: recipe for target 'check-recursive' failed
      make: *** [check-recursive] Error 1
      travis_time:end:00e36838:start=1581850070145039542,finish=1581850890512699570,duration=820367660028,event=script
      [0K[31;1mThe command "build/docker/run.sh" exited with 2.[0m
      

        Attachments

          Activity

            People

            • Assignee:
              janosvitok Jano Svitok
              Reporter:
              jensg Jens Geyer
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: